package com.hw.ems.api.domain.vo;


import java.math.BigDecimal;

public class MonitorVo {
    /** 计量设备编号 */
    private String monitorId;
    /** 计量设备名称 */
    private String monitorName;

    /** 公摊表类型 */
    private Integer publicShareType;

    /**
     * 计量设备类型
     */
    private Integer monitorType;

    /**
     * 表耗量
     */
    private BigDecimal monitorExpend;


    /**
     * 用户表耗量比率
     */
    private BigDecimal monitorExpendRate;

    public BigDecimal getMonitorExpendRate() {
        return monitorExpendRate;
    }

    public void setMonitorExpendRate(BigDecimal monitorExpendRate) {
        this.monitorExpendRate = monitorExpendRate;
    }

    public Integer getMonitorType() {
        return monitorType;
    }

    public void setMonitorType(Integer monitorType) {
        this.monitorType = monitorType;
    }

    public BigDecimal getMonitorExpend() {
        return monitorExpend;
    }

    public void setMonitorExpend(BigDecimal monitorExpend) {
        this.monitorExpend = monitorExpend;
    }

    public Integer getPublicShareType() {
        return publicShareType;
    }

    public void setPublicShareType(Integer publicShareType) {
        this.publicShareType = publicShareType;
    }

    public String getMonitorId() {
        return monitorId;
    }

    public void setMonitorId(String monitorId) {
        this.monitorId = monitorId;
    }

    public String getMonitorName() {
        return monitorName;
    }

    public void setMonitorName(String monitorName) {
        this.monitorName = monitorName;
    }
}
